package org.jcon.test.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

/**
 * A test Datastore.
 *
 * @author Oscar
 */
public class Datastore extends UnicastRemoteObject
    implements DatastoreRemote {

//---------- Initialization ------------------------------
public Datastore() throws RemoteException {
    super(); // Required to match superclass constructor
    // Possible initialization later
}

//---------- DatastoreRemote Implementation --------------
public void start() throws RemoteException {
    System.out.println("Datastore.start() - started");
}

public TestWorker getTestWorker() throws RemoteException {
    return new TestWorker();
}

} // End class


